org.apache.fontbox.cff

## Class CharStringCommand.Key

- java.lang.Object
- - org.apache.fontbox.cff.CharStringCommand.Key

Enclosing class:
  CharStringCommand

    public static class CharStringCommand.Key
    extends Object

A static class to hold one or more int values as key.

### Constructor Summary

Constructors
Constructor and Description
`Key(int b0)` Constructor with one value.
`Key(int[] values)` Constructor with an array as values.
`Key(int b0, int b1)` Constructor with two values.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object object)`
`int[]` `getValue()` Array the with the values.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Key

    public Key(int b0)

Constructor with one value.

Parameters:
  `b0` - value

#### Key

    public Key(int b0,
               int b1)

Constructor with two values.

Parameters:
  `b0` - value1
  `b1` - value2

#### Key

    public Key(int[] values)

Constructor with an array as values.

Parameters:
  `values` - array of values

### Method Detail

#### getValue

    public int[] getValue()

Array the with the values.

Returns:
  array with the values

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object object)

Overrides:
  `equals` in class `Object`